package com.lz.modules.performance.service;

import com.lz.common.utils.PageUtils;
import com.lz.modules.equipment.entity.model.BasePage;
import com.lz.modules.performance.req.AssessDetailReq;
import com.lz.modules.performance.req.ChartResultReq;
import com.lz.modules.performance.req.ChartStartsReq;
import com.lz.modules.performance.res.ChartStartsRes;
import com.lz.modules.performance.res.ChartStatistical;
import com.lz.modules.performance.res.ChartStatisticalRes;
import com.lz.modules.performance.res.LevelDetailExportRes;

import java.util.List;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/10/14 16:52
 */
public interface ChartResultService {

    List<ChartStatisticalRes> chartReport(Long startId,Long staffId);

    List<ChartStatistical> countDepartmentAndStaffNum(List<String>staffIds);

    PageUtils selectChartDetailList(ChartResultReq req);

    PageUtils chartStarts(ChartStartsReq req);

    List<ChartStatistical> countAssessNumByFlowProcess(AssessDetailReq req);

    List<LevelDetailExportRes> selectLevelDetailList(ChartResultReq req);

}
